apiVersion: v1
kind: Service
metadata:
  name: covid-data-influxdb
  labels:
    app: covid-data
spec:
  type: ClusterIP
  selector:
    app: covid-data
    tier: influxdb
  ports:
    - name: influxdb
      port: 8086
---
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: influxdb-pv-claim
  labels:
    app: covid-data
spec:
  resources:
    requests:
      storage: 1Gi
  volumeMode: Filesystem
  accessModes:
    - ReadWriteOnce
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: covid-data-influxdb
  labels:
    app: covid-data
spec:
  selector:
    matchLabels:
      app: covid-data
      tier: influxdb
  template:
    metadata:
      labels:
        app: covid-data
        tier: influxdb
    spec:
      containers:
        - name: influxdb
          image: influxdb:1.8-alpine
          resources:
            limits:
              memory: "512Mi"
              cpu: "500m"
          ports:
            - name: influxdb
              containerPort: 8086
          volumeMounts:
            - mountPath: /var/lib/influxdb
              name: influxdb-persistent-storage
          envFrom:
            - secretRef:
                name: influxdb-secrets
            - configMapRef:
                name: influxdb-config
      volumes:
        - name: influxdb-persistent-storage
          persistentVolumeClaim:
            claimName: influxdb-pv-claim
---
apiVersion: v1
kind: Secret
metadata:
  name: influxdb-secrets
  labels:
    app: covid-data
type: Opaque
stringData:
  INFLUXDB_READ_USER: read-user
  INFLUXDB_READ_USER_PASSWORD: read-user-password
  INFLUXDB_WRITE_USER: write-user
  INFLUXDB_WRITE_USER_PASSWORD: write-user-password
  INFLUXDB_ADMIN_USER: admin-user
  INFLUXDB_ADMIN_PASSWORD: admin-user-password
---
apiVersion: v1
kind: ConfigMap
metadata:
  name: influxdb-config
  labels:
    app: covid-data
data:
  INFLUXDB_DB: covid-data
